Debian Bug report logs - #619433
linux-image-2.6.38-1-686: early crash with ACPI (regression)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Pascal DORMEAU <pdormeau@free.fr>

Date: Wed, 23 Mar 2011 20:39:02 UTC

Severity: important

Tags: fixed-upstream

Found in version 2.6.38-1

Fixed in version 2.6.38-5

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=31872

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619433; Package linux-2.6. (Wed, 23 Mar 2011 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal DORMEAU <pdormeau@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 23 Mar 2011 20:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pascal DORMEAU <pdormeau@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.38-1-686: early crash with ACPI (regression)
Date: Wed, 23 Mar 2011 21:37:12 +0100
Package: linux-2.6
Version: 2.6.38-1
Severity: important

Hello,

My laptop cannot boot anymore with latest 2.6.38 kernel (also tested
with all available 2.6.38 rc in experimental) while ACPI support is
enabled. As mentioned in the object, I suspect an ACPI related problem.
Indeed booting with ACPI=off allows ending the boot sequence but many
functionalities are lost including the cardbus support and consequently
the wifi connexion (I must admit that I have not investigated a lot how
to recover it without acpi). I wish I could have ACPI support as I had
with all older kernels up to 2.6.37. I am currently running 2.6.37-2-686 
version without any problem.

I cannot provide a descent dmesg output because the crash occurs early 
in the boot. I recorded the boot and the video is available at 
http://dl.free.fr/kUzM29dEp but I fair it does not give usefull 
information. 
I am aware that only this and lspci output do not result in a valuable 
bug report. 
Could you please tell me what usefull information I could provide? Can a 
dmesg from the working 2.6.37 help ? Can a dmesg with 2.6.38 and 
ACPI=off help ?

Thanks in advance for advice.

Regards

Pascal Dormeau


-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
not available

** PCI devices:
00:00.0 Host bridge [0600]: ATI Technologies Inc R200 AGP Bridge [Mobility Radeon 7000 IGP] [1002:cab3] (rev 05)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Region 0: Memory at b0000000 (32-bit, prefetchable) [size=64M]
	Region 1: Memory at b4000000 (32-bit, prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-ati

00:01.0 PCI bridge [0604]: ATI Technologies Inc PCI Bridge [IGP 340M] [1002:7010] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000c000-0000dfff
	Memory behind bridge: e0000000-efffffff
	Prefetchable memory behind bridge: a0000000-afffffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:13.0 USB Controller [0c03]: ATI Technologies Inc OHCI USB Controller #1 [1002:4347] (rev 01) (prog-if 10 [OHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at f0001000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.1 USB Controller [0c03]: ATI Technologies Inc OHCI USB Controller #2 [1002:4348] (rev 01) (prog-if 10 [OHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at f0002000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc EHCI USB Controller [1002:4345] (rev 01) (prog-if 20 [EHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at 5c000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SMBus [1002:4353] (rev 18)
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Region 0: I/O ports at e000 [size=16]
	Region 1: Memory at f0000000 (32-bit, non-prefetchable) [size=1K]
	Kernel driver in use: piix4_smbus

00:14.1 IDE interface [0101]: ATI Technologies Inc Dual Channel Bus Master PCI IDE Controller [1002:4349] (prog-if 8a [Master SecP PriP])
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort+ <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 8070 [size=16]
	Kernel driver in use: pata_atiixp

00:14.3 ISA bridge [0601]: ATI Technologies Inc Device [1002:434c]
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc IXP200 3COM 3C920B Ethernet Controller [1002:4342] (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=02, subordinate=06, sec-latency=32
	I/O behind bridge: 0000a000-0000bfff
	Memory behind bridge: d0000000-dfffffff
	Prefetchable memory behind bridge: 90000000-9fffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:14.5 Multimedia audio controller [0401]: ATI Technologies Inc IXP150 AC'97 Audio Controller [1002:4341]
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f0000400 (32-bit, non-prefetchable) [size=256]
	Kernel driver in use: ATI IXP AC97 controller

00:14.6 Modem [0703]: ATI Technologies Inc IXP AC'97 Modem [1002:434d] (rev 01) (prog-if 00 [Generic])
	Subsystem: Toshiba America Info Systems Device [1179:0001]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f0000500 (32-bit, non-prefetchable) [size=256]

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility 7000 IGP [1002:4437] (prog-if 00 [VGA controller])
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at a0000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at c000 [size=256]
	Region 2: Memory at e0000000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at a8000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon

02:06.0 CardBus bridge [0607]: Texas Instruments PCI1410 PC card Cardbus Controller [104c:ac50] (rev 02)
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at d0001000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
	Memory window 0: 90000000-93fff000 (prefetchable)
	Memory window 1: d4000000-d7fff000
	I/O window 0: 0000a400-0000a4ff
	I/O window 1: 0000a800-0000a8ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

02:07.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 10)
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (8000ns min, 16000ns max)
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at a000 [size=256]
	Region 1: Memory at d0008000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

02:0a.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB21 IEEE-1394a-2000 Controller (PHY/Link) [104c:8026] (prog-if 10 [OHCI])
	Subsystem: Toshiba America Info Systems Device [1179:ff10]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at d0004000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>

03:00.0 Ethernet controller [0200]: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter [168c:0013] (rev 01)
	Subsystem: D-Link System Inc D-Link AirPlus DWL-G650 Wireless Cardbus Adapter(rev.C) [1186:3a12]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168 (2500ns min, 7000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at d4000000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath5k


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 045e:0084 Microsoft Corp. Basic Optical Mouse


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (90, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-2-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.38-1-686 depends on:
ii  debconf [debconf-2.0]         1.5.38     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    3          Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.38-1-686 recommends:
pn  firmware-linux-free           <none>     (no description available)
ii  libc6-i686                    2.11.2-11  Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.38-1-686 suggests:
ii  grub-pc                 1.98+20100804-14 GRand Unified Bootloader, version 
pn  linux-doc-2.6.38        <none>           (no description available)

Versions of packages linux-image-2.6.38-1-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
ii  firmware-linux-nonfree        0.28       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.38-1-686/prerm/removing-running-kernel-2.6.38-1-686: true
  linux-image-2.6.38-1-686/postinst/depmod-error-initrd-2.6.38-1-686: false
  linux-image-2.6.38-1-686/postinst/ignoring-do-bootloader-2.6.38-1-686:
* linux-image-2.6.38-1-686/postinst/missing-firmware-2.6.38-1-686:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619433; Package linux-2.6. (Wed, 23 Mar 2011 22:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 23 Mar 2011 22:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 619433@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Pascal DORMEAU <pdormeau@free.fr>, 619433@bugs.debian.org
Subject: Re: Bug#619433: linux-image-2.6.38-1-686: early crash with ACPI (regression)
Date: Wed, 23 Mar 2011 22:14:00 +0000
Please report this upstream at <https://bugzilla.kernel.org>,
under product 'ACPI', component 'ACPICA-Core'.  Let us know the bug
URL so we can track it.

You should link *directly* to the video, if possible, because it
took me some time to work out where the link was on the 'getfile.pl'
page.  Also you should provide the most important lines as text,
which appear to be:

do_page_fault+0x0/0x35d
error_code+0x67/0x6c
__kmalloc+0x??/0x10b
acpi_ns_internalize_name+0x2e/0x61
acpi_ns_search_one_scope+0x12/0x31

I was going to ask you to use the 'boot_delay' kernel parameter
to slow down log output, but now I realise this isn't enabled in
the Debian kernel packages.  If you can build a custom kernel with
CONFIG_BOOT_PRINTK_DELAY=y and test it with boot_delay=1000 then
you should be able to get still pictures of the whole of the 'oops'
message.  But the above lines may be enough of a clue to the ACPI
developers.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619433; Package linux-2.6. (Thu, 24 Mar 2011 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pdormeau@free.fr:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Mar 2011 07:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 619433@bugs.debian.org (full text, mbox):

From: Pascal Dormeau <pdormeau@free.fr>
To: 619433@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#619433: linux-image-2.6.38-1-686: early crash with ACPI (regression)
Date: Thu, 24 Mar 2011 08:04:29 +0100 (CET)
----- "Ben Hutchings" <ben@decadent.org.uk> a écrit :

> Please report this upstream at <https://bugzilla.kernel.org>,
> under product 'ACPI', component 'ACPICA-Core'.  Let us know the bug
> URL so we can track it.
> 
> You should link *directly* to the video, if possible, because it
> took me some time to work out where the link was on the 'getfile.pl'
> page.  Also you should provide the most important lines as text,
> which appear to be:
> 
> do_page_fault+0x0/0x35d
> error_code+0x67/0x6c
> __kmalloc+0x??/0x10b
> acpi_ns_internalize_name+0x2e/0x61
> acpi_ns_search_one_scope+0x12/0x31
> 
> I was going to ask you to use the 'boot_delay' kernel parameter
> to slow down log output, but now I realise this isn't enabled in
> the Debian kernel packages.  If you can build a custom kernel with
> CONFIG_BOOT_PRINTK_DELAY=y and test it with boot_delay=1000 then
> you should be able to get still pictures of the whole of the 'oops'
> message.  But the above lines may be enough of a clue to the ACPI
> developers.

Thanks a lot for your prompt answer. I will report upstream once I
have rebuild a custom kernel with the CONFIG_BOOT_PRINTK_DELAY
option and will let you know.

Sorry for the video, I did not realize about the indirect link. I
will try to give a more direct link or find another site for hosting
the new video.

Regards

Pascal Dormeau


> 
> Ben.
> 
> -- 
> Ben Hutchings
> We get into the habit of living before acquiring the habit of
> thinking.
>                                                               - Albert
> Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619433; Package linux-2.6. (Fri, 25 Mar 2011 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Dormeau <pdormeau@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 25 Mar 2011 21:03:05 GMT) Full text and rfc822 format available.

Message #20 received at 619433@bugs.debian.org (full text, mbox):

From: Pascal Dormeau <pdormeau@free.fr>
To: 619433@bugs.debian.org
Subject: Reported upstream
Date: Fri, 25 Mar 2011 21:59:56 +0100
Hello,

The bug has been reported to upstream:

https://bugzilla.kernel.org/show_bug.cgi?id=31872

Regards

Pascal Dormeau




Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=31872'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 25 Mar 2011 21:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619433; Package linux-2.6. (Thu, 28 Apr 2011 06:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to pdormeau@free.fr:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 28 Apr 2011 06:45:04 GMT) Full text and rfc822 format available.

Message #27 received at 619433@bugs.debian.org (full text, mbox):

From: Pascal Dormeau <pdormeau@free.fr>
To: 619433@bugs.debian.org
Subject: Follow-up
Date: Thu, 28 Apr 2011 08:43:33 +0200 (CEST)
Hello,

Just to inform that the bug has found a fix upstream
(commit 7bed50c5edf5cba8dd515a31191cbfb6065ddc85,
details can be found at
https://bugzilla.kernel.org/show_bug.cgi?id=31872).

The fix has been included in linux-2.6 tree and is
waiting in the queue-2.6.38 subdirectory.

I am currently running a self built linux-2.6.38 image
with the above fix included, and it seems that the bug
did not touch any one but me (given my buggy bios). I
can now wait for next upload in Debian (next 2.6.38 if
any, or next 2.6.39 in experimental or unstable), so I
believe you can just close this bug without any further
action.

Best regards and thank you for pointing me to the right
place.

Pascal Dormeau









Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 05 May 2011 16:39:43 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 17 May 2011 03:45:03 GMT) Full text and rfc822 format available.

Notification sent to Pascal DORMEAU <pdormeau@free.fr>:
Bug acknowledged by developer. (Tue, 17 May 2011 03:45:03 GMT) Full text and rfc822 format available.

Message #34 received at 619433-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 619433-done@bugs.debian.org
Subject: Re: Follow-up
Date: Tue, 17 May 2011 04:42:30 +0100
[Message part 1 (text/plain, inline)]
Version: 2.6.38-5

On Thu, 2011-04-28 at 08:43 +0200, Pascal Dormeau wrote:
> Hello,
> 
> Just to inform that the bug has found a fix upstream
> (commit 7bed50c5edf5cba8dd515a31191cbfb6065ddc85,
> details can be found at
> https://bugzilla.kernel.org/show_bug.cgi?id=31872).
> 
> The fix has been included in linux-2.6 tree and is
> waiting in the queue-2.6.38 subdirectory.

This was included in stable update 2.6.38.5 and in Debian version
2.6.38-5.

> I am currently running a self built linux-2.6.38 image
> with the above fix included, and it seems that the bug
> did not touch any one but me (given my buggy bios). I
> can now wait for next upload in Debian (next 2.6.38 if
> any, or next 2.6.39 in experimental or unstable), so I
> believe you can just close this bug without any further
> action.
> 
> Best regards and thank you for pointing me to the right
> place.

Thank you for helping to track down the bug!

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jun 2011 07:37:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:02:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.